Subject: [Megaco] H.248 over ATM

From: EhabMohammedKhrsheed 89115 <[email-masked]>
Date: Thu, 04 May 2006 20:38:52 +0300

Dear All,

am trying to get sample scenario diagrams for H.248 over ATM connection, can anyone kindly help me get such info pls!

Br,
Ehab

*******************************************************************************************
 This email and its attachments contain confidential information from HUAWEI, which is intended only for the person or entity whose address is listed above. Any use of the information contained herein in any way (including, but not limited to, total or partial disclosure, reproduction, or dissemination) by persons other than the intended recipient(s) is prohibited. If you receive this e-mail in error, please notify the sender by phone or email immediately and delete it!
 *****************************************************************************************

----- Original Message -----
From: [email-masked]
Date: Thursday, May 4, 2006 7:00 pm
Subject: Megaco Digest, Vol 25, Issue 2

> Send Megaco mailing list submissions to
> 	[email-masked]
> 
> To subscribe or unsubscribe via the World Wide Web, visit
> 	https://www1.ietf.org/mailman/listinfo/megaco
> or, via email, send a message with subject or body 'help' to
> 	[email-masked]
> 
> You can reach the person managing the list at
> 	[email-masked]
> 
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of Megaco digest..."
> 
> 
> Today's Topics:
> 
>   1. Re: H.248.14 (Inactivity Timer Package) (B Venkat S.R Swamy)
>   2. IP V6 Address!! (Mudit Gupta)
>   3. Re: IP V6 Address!! (Christian Groves)
>   4. Multiple SDP "m=" lines (Ron Ho)
>   5. RE: Multiple SDP "m=" lines (Kevin Boyle)
> 
> 
> -------------------------------------------------------------------
> ---
> 
> Message: 1
> Date: Thu, 4 May 2006 11:17:45 +0530
> From: "B Venkat S.R Swamy" <[email-masked]>
> Subject: Re: [Megaco] H.248.14 (Inactivity Timer Package)
> To: Prashant Mehrotra <[email-masked]>
> Cc: [email-masked]
> Message-ID:
> 	<OF78372A7D.A9F2A8CD-ON65257164.001ECADC-
> [email-masked]>	
> Content-Type: text/plain; charset="us-ascii"
> 
> An HTML attachment was scrubbed...
> URL: 
> http://www1.ietf.org/pipermail/megaco/attachments/20060504/02393a82/attachment.html-------------- next part --------------
> A non-text attachment was scrubbed...
> Name: graycol.gif
> Type: image/gif
> Size: 848 bytes
> Desc: not available
> Url : 
> http://www1.ietf.org/pipermail/megaco/attachments/20060504/02393a82/graycol.gif-------------- next part --------------
> A non-text attachment was scrubbed...
> Name: pic25957.gif
> Type: image/gif
> Size: 1255 bytes
> Desc: not available
> Url : 
> http://www1.ietf.org/pipermail/megaco/attachments/20060504/02393a82/pic25957.gif-------------- next part --------------
> A non-text attachment was scrubbed...
> Name: ecblank.gif
> Type: image/gif
> Size: 813 bytes
> Desc: not available
> Url : 
> http://www1.ietf.org/pipermail/megaco/attachments/20060504/02393a82/ecblank.gif
> ------------------------------
> 
> Message: 2
> Date: Thu, 4 May 2006 11:33:24 +0530
> From: "Mudit Gupta" <[email-masked]>
> Subject: [Megaco] IP V6 Address!!
> To: <[email-masked]>
> Message-ID: <22F058C3ED9D784E90CE473F2A9847F0582223@in-exchange>
> Content-Type: text/plain; charset="iso-8859-1"
> 
> Hi all,
> 
> I have a query regarding connection field for local descriptor. 
> When I used "c= IN IP6 $", it failed at ABNF decoding level, but 
> if I used "c=IN IP6 x.x.x.x.x.x" for local descriptor field, it 
> was passed by the grammar. But, in case of IP4 both are being 
> supported. 
> 
> I am in doubt if the parser implementation is wrong or the ABNF 
> does not support "c= IN IP6 $".
> 
> Regards,
> Mudit
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL: 
> http://www1.ietf.org/pipermail/megaco/attachments/20060504/0fc1a181/attachment.html
> ------------------------------
> 
> Message: 3
> Date: Thu, 04 May 2006 17:06:34 +1000
> From: Christian Groves <[email-masked]>
> Subject: Re: [Megaco] IP V6 Address!!
> To: Mudit Gupta <[email-masked]>
> Cc: [email-masked]
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset=windows-1252; format=flowed
> 
> Hello Mudit,
> 
> The H.248 ABNF for local is a string so it supports any type of 
> text you 
> place in it. The SDP parser might be giving you a problem. We have 
> just 
> consented new Recommendation H.248.39, ?H.248 SDP Parameter 
> Identification and Wildcarding? which gives examples of SDP usage 
> and 
> wildcarding in H.248.
> 
> For the c= it states:
> 
> Table 6.13/H.248.39 ? Connection Information
> 
> SDP Specification:
> 
> Definition:
> 
> [Clause 6/RFC 2327]
> 
> 	
> 
> c=* (connection information - optional if included at session-level)
> 
> 	
> 
> ABNF:
> 
> [Appendix A/RFC 2327]
> 
> 	
> 
> connection-field = ["c=" nettype space addrtype space
> 
> connection-address CRLF]
> 
> 	
> 
> H.248/SDP encoding examples
> with applied wildcarding:
> 
> 	
> 
> Results:
> 
> c=?
> 
> c=? ?
> 
> 	
> 
> Are invalid.
> 
> There are three mandatory parameters ?nettype? and ?addrtype? and 
> ?connection-address? which may be wildcarded.
> 
> c=? ? ?
> 
> 	
> 
> Would give
> 
> c=nettype addrtype connection-address
> 
> 
> So C=IN IP6 $ should be supported.
> 
> Regards, Christian
> 
> Mudit Gupta wrote:
> 
> > Hi all,
> > I have a query regarding connection field for local descriptor. 
> When I 
> > used "c= IN IP6 $", it failed at ABNF decoding level, but if I 
> used 
> > "c=IN IP6 x.x.x.x.x.x" for local descriptor field, it was passed 
> by 
> > the grammar. But, in case of IP4 both are being supported.
> > I am in doubt if the parser implementation is wrong or the ABNF 
> does 
> > not support "c= IN IP6 $".
> > Regards,
> > Mudit
> >
> >------------------------------------------------------------------
> ------
> >
> >_______________________________________________
> >Megaco mailing list
> >[email-masked]
> >https://www1.ietf.org/mailman/listinfo/megaco
> >  
> >
> 
> 
> 
> 
> ------------------------------
> 
> Message: 4
> Date: Thu, 4 May 2006 11:18:31 -0400
> From: "Ron Ho" <[email-masked]>
> Subject: [Megaco] Multiple SDP "m=" lines
> To: megaco <[email-masked]>
> Message-ID:
> 	<[email-masked]>
> Content-Type: text/plain; charset=ISO-8859-1; format=flowed
> 
> Hi All,
> 
> I am confused about the SDP "m=" line use in Megaco. Should a session
> contain more than one media stream, there should be multiple "m="
> lines in the SDP session in the local/remote descriptor. If all the
> media streams use different encoding scheme, we could clearly
> distinguish one from the other. However, if there exists two streams
> with identical encoding scheme. How can we distinguish one from the
> other. For example, if we carry left channel and right channel in
> different audio streams. How can the other end know which channel is
> left and which is right? Should there be clear marking on the channel
> to indicate which is which? The matter get more complicated in a IP/IP
> border gateway environment. If there is a media streams switching in
> the middle of the call, how do we associate the new streams channel
> properly. E.g. the left and right channel may be swapped
> un-intentionaly by the border gateway. Is there any spec. talked about
> this? I would really appreciate if anyone can give me some pointer on
> this.
> 
> 
> Thanks,
> Ron
> 
> 
> 
> ------------------------------
> 
> Message: 5
> Date: Thu, 4 May 2006 11:47:57 -0400
> From: "Kevin Boyle" <[email-masked]>
> Subject: RE: [Megaco] Multiple SDP "m=" lines
> To: "Ron Ho" <[email-masked]>, "megaco" <[email-masked]>
> Message-ID:
> 	<[email-masked]>
> 
> Multiple streams must appear in multiple Stream Descriptors.  
> Therefore,multiple m= lines are required to be separated by v= 
> lines in order to
> distinguish the m= lines as alternatives and not simultaneous options.
> If you are trying to set up multiple simultaneous streams, you 
> must have
> one Stream Descriptor per stream, each with its own Local and Remote
> Descriptor.
> 
> I would think the right/left channel information would be encoded 
> in the
> stream, so the receiving end will know how to play it out.  If so, 
> thenall the concerns about which side is which and entities in the 
> middlemoving stuff around becomes irrelevant.
> 
> Kevin 
> 
> -----Original Message-----
> From: Ron Ho [[email-masked]] 
> Sent: Thursday, May 04, 2006 11:19 AM
> To: megaco
> Subject: [Megaco] Multiple SDP "m=" lines
> 
> Hi All,
> 
> I am confused about the SDP "m=" line use in Megaco. Should a session
> contain more than one media stream, there should be multiple "m="
> lines in the SDP session in the local/remote descriptor. If all the
> media streams use different encoding scheme, we could clearly
> distinguish one from the other. However, if there exists two streams
> with identical encoding scheme. How can we distinguish one from the
> other. For example, if we carry left channel and right channel in
> different audio streams. How can the other end know which channel is
> left and which is right? Should there be clear marking on the 
> channel to
> indicate which is which? The matter get more complicated in a IP/IP
> border gateway environment. If there is a media streams switching 
> in the
> middle of the call, how do we associate the new streams channel
> properly. E.g. the left and right channel may be swapped un-
> intentionalyby the border gateway. Is there any spec. talked about 
> this? I would
> really appreciate if anyone can give me some pointer on this.
> 
> 
> Thanks,
> Ron
> 
> _______________________________________________
> Megaco mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/megaco
> 
> 
> 
> 
> 
> ------------------------------
> 
> _______________________________________________
> Megaco mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/megaco
> 
> 
> End of Megaco Digest, Vol 25, Issue 2
> *************************************
> 

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco